import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheck = (params) => request('/api/taCheck', { params });

/*
 * 新增数据
 */
export const postTaCheck = (data) => request('/api/taCheck', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckById = (id) => request(`/api/taCheck/${id}`);

/**
 * 更新数据
 * @param {*} id
 * @param {*} data
 * @returns
 */
export const putTaCheck = (id, data) => request(`/api/taCheck/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheck = (id) => request(`/api/taCheck/${id}`, { method: 'delete' });
